
From: Rusty Russell <rusty@rustcorp.com.au>

From: Arjan van de Ven <arjanv@redhat.com>

The patch below sets the tainted sysctl file to read only, otherwise
userspace can just overwrite/reset it.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/sysctl.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/sysctl.c~tainted-sysctl-permissions-fix kernel/sysctl.c
--- 25/kernel/sysctl.c~tainted-sysctl-permissions-fix	Tue Aug 17 15:30:15 2004
+++ 25-akpm/kernel/sysctl.c	Tue Aug 17 15:30:15 2004
@@ -300,7 +300,7 @@ static ctl_table kern_table[] = {
 		.procname	= "tainted",
 		.data		= &tainted,
 		.maxlen		= sizeof(int),
-		.mode		= 0644,
+		.mode		= 0444,
 		.proc_handler	= &proc_dointvec,
 	},
 	{
_
